/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"memory_debug.h"
#include	"xl.h"
#include	"xlerror.h"
#include	"utils.h"

XL_SEXP * xl_GetLocalHostIP();

void
init_GetLocalHostIP(XLISP_ENV * env)
{
	set_env(env,l_string(std_cm,"GetLocalHostIP"),
		get_func_prim(xl_GetLocalHostIP,FO_APPLICATIVE,0,1,1));
}



XL_SEXP *
xl_GetLocalHostIP(XLISP_ENV * env,XL_SEXP * s)
{
	return get_integer(get_xllisp_site_ip().d.v4,0);
}
